# sophie's miniserver
# mostly unmanaged

nodes['htz-cloud.miniserver'] = {
    'groups': {
        'debian-buster',
        'webserver',
    },
    'metadata': {
        'dummy': True,
        'interfaces': {
            'eth0': {
                'ips': {
                    '157.90.20.62',
                    '2a01:4f8:c2c:840f::1/64',
                },
                'gateway4': '172.31.1.1',
                'gateway6': 'fe80::1',
            },
        },
        'apt': {
            'packages': {
                'weechat': {},
                'weechat-core': {},
                'weechat-curses': {},
                'weechat-perl': {},
                'weechat-plugins': {},
                'weechat-python': {},
                'weechat-ruby': {},
            },
        },
        'backups': {
            'exclude_from_backups': True,
        },
        'exclude_from_monitoring': True,
        'letsencrypt': {
            'concat_and_deploy': {
                'sophie-weechat': {
                    'match_domain': 'i.sophies-kitchen.eu',
                    'target': '/home/sophie/.weechat/ssl/relay.pem',
                    'chown': 'sophie:sophie',
                    'chmod': '0440',
                    'commands': [
                        'echo \'core.weechat */relay sslcertkey\' >> /home/sophie/.weechat/weechat_fifo'
                    ],
                },
            },
            'domains': {
                'i.sophies-kitchen.eu': set(),
            },
        },
        'nginx': {
            'vhosts': {
                'i.sophies-kitchen.eu': {
                },
            },
        },
        'vm': {
            'cpu': 2,
            'ram': 4,
        }
    },
}
